package nckd.jxccl.hr.hspm.plugin.operate.tsapp;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import kd.bos.entity.plugin.args.BeginOperationTransactionArgs;
import nckd.jxccl.hr.hspm.common.TitleSkillAppointConstant;

/**
 * 职称技能聘任单生效操作插件
 * @operate: submiteffect、audit
 * @author: jtd
 * @date: 2026/1/13 21:11
 */
public class TitleSkillAppointEffectOpPlugin extends AbstractOperationServicePlugIn {

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);

        e.getFieldKeys().addAll(billEntityType.getAllFields().keySet());
    }

    @Override
    public void beginOperationTransaction(BeginOperationTransactionArgs e) {
        super.beginOperationTransaction(e);

        for (DynamicObject dataEntite : e.getDataEntities()) {
            DynamicObjectCollection entryEntity = dataEntite.getDynamicObjectCollection(TitleSkillAppointConstant.NCKD_ENTRYENTITY);
            for (DynamicObject entry : entryEntity) {

            }
        }
    }

    private void doEffect(DynamicObject data) {


    }
}
